## Class Swift_Mime_ContentEncoder_PlainContentEncoder

(line 21)

## Description

Located in File: /vendors/swiftMailer/classes/Swift/Mime/ContentEncoder/PlainContentEncoder.php

##### Handles binary/7/8-bit Transfer Encoding in Swift Mailer.

- author: - Chris Corbyn

## Class Variables

Summary:

## Class Constants

Summary:

## Method Detail

Summary:
Swift_Mime_ContentEncoder_PlainContentEncoder __construct (string $name, [boolean $canonical = false])
void charsetChanged ( $charset)
void encodeByteStream (Swift_OutputByteStream $os, Swift_InputByteStream $is, [ $firstLineOffset = 0], [ $maxLineLength = 0], Swift_OutputByteStream $in, Swift_InputByteStream $out, int $firstLineOffset,, int $maxLineLength,)
string encodeString (string $string, [ $firstLineOffset = 0], [int $maxLineLength = 0], int $firstLineOffset,)
string getName ()

#### Constructor __construct (line 44)

#### Swift_Mime_ContentEncoder_PlainContentEncoder __construct( string $name, [boolean $canonical = false])

##### Creates a new PlainContentEncoder with $name (probably 7bit or 8bit).

#### Parameters

- string $name:
- boolean $canonical: If canonicalization transformation should be done.

#### Info

- access - public

#### Method charsetChanged (line 111)

#### void charsetChanged( $charset)

Implementation of:

Swift_Mime_CharsetObserver::charsetChanged()
  Notify this observer that the entity's charset has changed.

##### Not used.

#### Parameters

- $charset:

#### Info

- access - public

#### Method encodeByteStream (line 74)

#### void encodeByteStream( Swift_OutputByteStream $os, Swift_InputByteStream $is, [ $firstLineOffset = 0], [ $maxLineLength = 0], Swift_OutputByteStream $in, Swift_InputByteStream $out, int $firstLineOffset,, int $maxLineLength,)

Implementation of:

Swift_Mime_ContentEncoder::encodeByteStream()
  Encode $in to $out.

##### Encode stream $in to stream $out.

#### Parameters

- Swift_OutputByteStream $in:
- Swift_InputByteStream $out:
- int $firstLineOffset,: ignored
- int $maxLineLength,: optional, 0 means no wrapping will occur
- Swift_OutputByteStream $os:
- Swift_InputByteStream $is:
- $firstLineOffset:
- $maxLineLength:

#### Info

- access - public

#### Method encodeString (line 57)

#### string encodeString( string $string, [ $firstLineOffset = 0], [int $maxLineLength = 0], int $firstLineOffset,)

Implementation of:

Swift_Encoder::encodeString()
  Encode a given string to produce an encoded string.

##### Encode a given string to produce an encoded string.

#### Parameters

- string $string:
- int $firstLineOffset,: ignored
- int $maxLineLength: - 0 means no wrapping will occur
- $firstLineOffset:

#### Info

- access - public

#### Method getName (line 103)

#### string getName( )

Implementation of:

Swift_Mime_ContentEncoder::getName()
  Get the MIME name of this content encoding scheme.

##### Get the name of this encoding scheme.

#### Info

- access - public

## Inherited Variables

### Inherited Class Variable Summary

## Inherited Methods

### Inherited Method Summary

Documentation generated on Fri, 12 Nov 2010 20:45:27 +0000 by phpDocumentor 1.4.3